FROM centos:centos7 as ruby-image

RUN yum update -y -q \
    && yum groupinstall -y Development Tools \
    && yum install -y \
         autoconf \
         gcc \
         gcc-c++ \
         git \
         make \
         curl \
         zlib-devel \
         openssl-devel \
    && yum clean all

ENV LANG en_US.UTF-8
ENV LC_ALL en_US.UTF-8
RUN localedef -c -f UTF-8 -i en_US en_US.UTF-8

<%= Snippets.new(include: %w[versions ruby]).populate %>

FROM ruby-image as builder

# Install required packages
RUN yum update -y -q \
    && yum remove -y -q git \
    && yum install -y epel-release centos-release-scl \
    && yum install -y -q \
         autoconf \
         automake \
         autopoint \
         curl-devel \
         expat-devel \
         gettext-devel \
         krb5-devel \
         openssl \
         perl-devel \
         libyaml-devel \
         libffi-devel \
         readline-devel \
         gdbm-devel \
         ncurses-devel \
         bzip2 \
         which \
         byacc \
         ccache \
         distcc \
         unzip \
         devtoolset-8-gcc \
         devtoolset-8-gcc-c++ \
         libstdc++-static \
         llvm-toolset-7-clang-devel

<%= Snippets.new(exclude: %w[ruby]).populate %>

FROM centos:centos7
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
